Foreman - Bug #29141

Cloud init template missing snippet compared to Kickstart default user data
02/24/2020 02:16 PM - Oleh Fedorenko

Status: Closed

Priority: Normal
Assignee: Oleh Fedorenko
Category: Templates

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: 1731155 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/691

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1731155

Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1713103 introduces new type of cloud init template, responsible for cloud-init enabled
provisioning on Vmware

This new templates have fewer capabilities as compared to Kickstart default user data template.
This bug tracks all the missing options

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 11

How reproducible:
Always

Steps to Reproduce:
1. Compare the two template "Kickstart default user data" template and "CloudInit default" template

Missing Capabilities:

. Hitp Proxy support

. fix_hosts snippet

. ntpdate and ntp sync

. remote_execution_ssh_keys snippet
. freeipa_register snippet

. blacklist_kernel_modules snippet

. epel snippet

. chef_client
Actual results:
The templates is missing some snippets

Expected results:

Template should have similar functionality like the "Kickstart default user data"
Additional info:

Attaching the kickstart default user data template as reference

Associated revisions

Revision 6ee9672f - 04/22/2020 11:41 AM - Oleh Fedorenko
Fixes #29141 - CloudInit is compatible w/ Kickstart def user data
https://bugzilla.redhat.com/show_bug.cgi?id=1731155
https://bugzilla.redhat.com/show_bug.cgi?id=1713103

History

#1 - 02/24/2020 02:17 PM - Oleh Fedorenko
- Category changed from TFTP to Templates
- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

- Triaged changed from No to Yes

#2 - 02/24/2020 03:03 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/691 added

#3 - 04/22/2020 11:41 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 04/22/2020 12:01 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|6ee9672f21929d6b5d55f4d19cde1dafd87b8666.
